import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationWhereInputObjectSchema as CommunicationWhereInputObjectSchema } from './CommunicationWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => CommunicationWhereInputObjectSchema).optional(),
  some: z.lazy(() => CommunicationWhereInputObjectSchema).optional(),
  none: z.lazy(() => CommunicationWhereInputObjectSchema).optional()
}).strict();
export const CommunicationListRelationFilterObjectSchema: z.ZodType<Prisma.CommunicationListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CommunicationListRelationFilter>;
export const CommunicationListRelationFilterObjectZodSchema = makeSchema();
